
<!--

  ATTENTION: le carousel est déprécier 
  et la classe Slider/leaf.vue ne prend plus le même objet dans dateData
  en cas d'utilisation, revoir cette partie

-->

<script setup>
  const props = defineProps({
        dateData: {
              type: Object,
              required: true
        },
        desiredSlide: {
              type: Object,
              required: false
        }
  });

  const data = props.dateData;

  watch(props.desiredSlide, () => {
    gotoSlide(props.desiredSlide.value);
  });
  const gotoSlide = (slide) => {
    if (!carousel.value) return // wait for mounted component
    carousel.value.slideTo(slide);
  }
</script>
<template>
  <Carousel ref="carousel">
    <Slide v-for="slide in data.length" :key="slide">
      <div class="carousel__item text-las text-2xl flex-col justify-center text-center">
        <SliderLeaf :dateData="data[slide-1]" />
      </div>
    </Slide>

    <template #addons>
      <Navigation />
    </template>
  </Carousel>
</template>

<script>
import { Carousel, Navigation, Slide } from 'vue3-carousel'

import 'vue3-carousel/dist/carousel.css'

const carousel = ref(null);
export default {
  components: {
    Carousel,
    Slide,
    Navigation,
  }
}
</script>

<style>
.carousel__item {
  min-height: 200px;
  width: 100%;
  background-color: transparent;
  color: black;
  font-size: 20px;
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.carousel__slide {
  padding: 10px;
  align-items: flex-start;
}

.carousel__prev,
.carousel__next {
  position: absolute;
  box-sizing: content-box;
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background-color: white;
  color: #e58252;
  box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.25);
}
</style>